#pragma once

#include "SceneItem.h"
#include "TextData.h"

class SceneText : public SceneItem
{
public:
    SceneText();

    Type getType() const override;

    const TextData& getTextData() const;

    void setTextData(const TextData& content);

private:
    bool mTextGeometryIsDirty{true};
    TextData mTextData;
};
